import { HttpHandlerOptions as __HttpHandlerOptions } from "@smithy/types";
import {
  BatchPutMetricsCommandInput,
  BatchPutMetricsCommandOutput,
} from "./commands/BatchPutMetricsCommand";
import { SageMakerMetricsClient } from "./SageMakerMetricsClient";
export interface SageMakerMetrics {
  batchPutMetrics(
    args: BatchPutMetricsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<BatchPutMetricsCommandOutput>;
  batchPutMetrics(
    args: BatchPutMetricsCommandInput,
    cb: (err: any, data?: BatchPutMetricsCommandOutput) => void
  ): void;
  batchPutMetrics(
    args: BatchPutMetricsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: BatchPutMetricsCommandOutput) => void
  ): void;
}
export declare class SageMakerMetrics
  extends SageMakerMetricsClient
  implements SageMakerMetrics {}
